Skip to content

Updates a custom field with the specified ID.

Request

This method will update an existing custom field with the specified ID.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the custom field to update.

Bodyapplication/jsonrequired

The updated custom field that will be saved.

acceptable_valuesArray of objects
can_enter_new_valuesboolean(Can Enter New Values)

For picklists, whether you can enter in new values

complex_requirement_rulesobject(Complex Requirement Rules)

Advanced rules for when this field should be required

curated_datasetstring(Curated Dataset)

The name of the cureated dataset to use

custom_object_idstring(Custom Object)required

For table custom fields, the custom object being references

default_valueobject(Default Value)

Default value to use for this field

display_ordernumber, (float)(Display Order)

An optional display order

enable_default_valueboolean(Enable Default Value)

Whether or not this custom field should have a default value

enable_parent_field_mappingboolean(Enable Parent Field Mapping)

Determines whether parent field mappings are enabled

form_promptstring(Form Prompt)

Optional text to display when filling out a form with this field; if not set, the field name is used

help_textstring(Help Text)

Help text shown to the user

idstring(ID)^[a-z\d:_-]{1,300}__c$required

The safe field name used in reporting and data storage. This must be unique

is_activeboolean(Is Active)

Whether not this is an active field that should be displayed in dropdowns

maximum_number_of_wordsnumber, (float)(Maximum Number Of Words)

For large text fields, the maximum # of words

namestring(Name)required

The name of the custom field, visible on forms to users

number_of_decimal_placesinteger(Number Of Decimal Places)
optional_in_consoleboolean(Optional In Console)
parent_child_optionsobject(Parent Child Options)required

For picklists, define a parent/child mapping between fields in the parent picklist and fields in this one

portal_accessibilitystring(Portal Accessibility)
Enum:"none""read only""write"
rating_optionsobject(Rating Options)required
reference_typestring(Reference Type)

For reference lookup fields, the service/object being referenced

requiredboolean(Required)
servicestring(Service)required

The service for which this custom field is being created.

sort_values_alphabeticallyboolean(Sort Values Alphabetically)
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

textbox_optionsobject(Textbox Options)
typestring(Type)required

The data type to be used

Enum:"checkboxes""currency""date""date-time""electronic signature""email""file""html""image""large text"
use_curated_datasetboolean(Use Curated Dataset)

For list based values, whether to download data from a Rhythm curated dataset

use_first_value_as_defaultboolean(Use First Value As Default)
curl -i -X PUT \
  'https://docs.api.rhythmsoftware.com/_mock/apis/platform/platform-v1/customFields/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "acceptable_values": [
      {
        "label": "string",
        "value": "string"
      }
    ],
    "can_enter_new_values": true,
    "complex_requirement_rules": {
      "all": [
        {
          "all": {},
          "any": {},
          "fact": "string",
          "operator": "contains",
          "path": "string",
          "value": "string"
        }
      ],
      "any": [
        {
          "all": {},
          "any": {},
          "fact": "string",
          "operator": "contains",
          "path": "string",
          "value": "string"
        }
      ]
    },
    "curated_dataset": "string",
    "custom_object_id": "string",
    "default_value": {},
    "display_order": 0.1,
    "enable_default_value": true,
    "enable_parent_field_mapping": true,
    "form_prompt": "string",
    "help_text": "string",
    "id": "string",
    "is_active": true,
    "maximum_number_of_words": 0.1,
    "name": "string",
    "number_of_decimal_places": 0,
    "optional_in_console": true,
    "parent_child_options": {
      "field_mappings": [
        {
          "child_field_values": [
            "string"
          ],
          "parent_field_value": "string"
        }
      ],
      "parent_field_id": "string"
    },
    "portal_accessibility": "none",
    "rating_options": {
      "maximum_rating": 0.1,
      "meaning_of_maximum": "string",
      "meaning_of_minimum": "string",
      "show_text": true,
      "theme": "horizontal"
    },
    "reference_type": "string",
    "required": true,
    "service": "string",
    "sort_values_alphabetically": true,
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "textbox_options": {
      "append_text": "string",
      "prepend_text": "string"
    },
    "type": "checkboxes",
    "use_curated_dataset": true,
    "use_first_value_as_default": true
  }'

Responses

The custom field was updated successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
acceptable_valuesArray of objects
can_enter_new_valuesboolean(Can Enter New Values)

For picklists, whether you can enter in new values

complex_requirement_rulesobject(Complex Requirement Rules)

Advanced rules for when this field should be required

curated_datasetstring(Curated Dataset)

The name of the cureated dataset to use

custom_object_idstring(Custom Object)required

For table custom fields, the custom object being references

default_valueobject(Default Value)

Default value to use for this field

display_ordernumber, (float)(Display Order)

An optional display order

enable_default_valueboolean(Enable Default Value)

Whether or not this custom field should have a default value

enable_parent_field_mappingboolean(Enable Parent Field Mapping)

Determines whether parent field mappings are enabled

form_promptstring(Form Prompt)

Optional text to display when filling out a form with this field; if not set, the field name is used

help_textstring(Help Text)

Help text shown to the user

idstring(ID)^[a-z\d:_-]{1,300}__c$required

The safe field name used in reporting and data storage. This must be unique

is_activeboolean(Is Active)

Whether not this is an active field that should be displayed in dropdowns

maximum_number_of_wordsnumber, (float)(Maximum Number Of Words)

For large text fields, the maximum # of words

namestring(Name)required

The name of the custom field, visible on forms to users

number_of_decimal_placesinteger(Number Of Decimal Places)
optional_in_consoleboolean(Optional In Console)
parent_child_optionsobject(Parent Child Options)required

For picklists, define a parent/child mapping between fields in the parent picklist and fields in this one

portal_accessibilitystring(Portal Accessibility)
Enum:"none""read only""write"
rating_optionsobject(Rating Options)required
reference_typestring(Reference Type)

For reference lookup fields, the service/object being referenced

requiredboolean(Required)
servicestring(Service)required

The service for which this custom field is being created.

sort_values_alphabeticallyboolean(Sort Values Alphabetically)
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

textbox_optionsobject(Textbox Options)
typestring(Type)required

The data type to be used

Enum:"checkboxes""currency""date""date-time""electronic signature""email""file""html""image""large text"
use_curated_datasetboolean(Use Curated Dataset)

For list based values, whether to download data from a Rhythm curated dataset

use_first_value_as_defaultboolean(Use First Value As Default)
Response
{ "acceptable_values": [ { … } ], "can_enter_new_values": true, "complex_requirement_rules": { "all": [ … ], "any": [ … ] }, "curated_dataset": "string", "custom_object_id": "string", "default_value": {}, "display_order": 0.1, "enable_default_value": true, "enable_parent_field_mapping": true, "form_prompt": "string", "help_text": "string", "id": "string", "is_active": true, "maximum_number_of_words": 0.1, "name": "string", "number_of_decimal_places": 0, "optional_in_console": true, "parent_child_options": { "field_mappings": [ … ], "parent_field_id": "string" }, "portal_accessibility": "none", "rating_options": { "maximum_rating": 0.1, "meaning_of_maximum": "string", "meaning_of_minimum": "string", "show_text": true, "theme": "horizontal" }, "reference_type": "string", "required": true, "service": "string", "sort_values_alphabetically": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "textbox_options": { "append_text": "string", "prepend_text": "string" }, "type": "checkboxes", "use_curated_dataset": true, "use_first_value_as_default": true }